Subject: bug#57163: closed (Re: bug#57163: completing-read not allow cycling of the options by default)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Aug 2022 05:57:02 +0000

Your bug report

#57163: completing-read not allow cycling of the options by default

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57163: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57163
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57163: completing-read not allow cycling of the options by default
From: Eli Zaretskii <[email-masked]>
To: uzibalqa <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 14 Aug 2022 08:55:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 13 Aug 2022 19:31:39 +0000
> From: uzibalqa <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > Cannot see <UP> and <DOWN> arrow keys described in "8.1 Using the Minibuffer" or after that.
> >
> >
> > Wrong place. Look in "Minibuffer History".
> 
> I have a problem with that, because I cannot see how someone reading "Minibuffer History"
> would associate those commands with moving through the options when using the minibuffer.
> 
> For many users, information listing the key-associated commands that can be employed when using
> the minibuffer, is more useful in the part "8.1 Using the Minibuffer", rather than finding it much
> much later and within the context of minibuffer history.

Well, you are supposed to read the entire chapter, not just one
section.  Reading a single section is for those who know what they are
after, and get to the section via the index entries.

Anyway, I've now added an explicit reference to completion to the text
in "Minibuffer History", and also added an index entry about
walking through completion candidates, leading there.

And with that, I'm closing this bug report.

Subject: completing-read not allow cycling of the options by default
From: uzibalqa <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 12 Aug 2022 22:14:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Why is it that things like completing-read not allow cycling of the options by default? Especially for new user, not having the ability to cycle by default is a terrible plan,